#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ms_sensors_reset, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_read_prom_word, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_convert_and_read, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_read_serial, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_write_resolution, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_show_battery_low, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_show_heater, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_write_heater, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_ht_read_temperature, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_ht_read_humidity, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_tp_read_prom, "", "IIO_MEAS_SPEC_SENSORS");
KSYMTAB_FUNC(ms_sensors_read_temp_and_pressure, "", "IIO_MEAS_SPEC_SENSORS");

SYMBOL_CRC(ms_sensors_reset, 0x2d2f5cd5, "");
SYMBOL_CRC(ms_sensors_read_prom_word, 0x045688dd, "");
SYMBOL_CRC(ms_sensors_convert_and_read, 0x42b6a050, "");
SYMBOL_CRC(ms_sensors_read_serial, 0x3bccf92b, "");
SYMBOL_CRC(ms_sensors_write_resolution, 0x8f6721ef, "");
SYMBOL_CRC(ms_sensors_show_battery_low, 0x801fdcc1, "");
SYMBOL_CRC(ms_sensors_show_heater, 0xdeed6f83, "");
SYMBOL_CRC(ms_sensors_write_heater, 0x97a025fd, "");
SYMBOL_CRC(ms_sensors_ht_read_temperature, 0x1fb289b8, "");
SYMBOL_CRC(ms_sensors_ht_read_humidity, 0x6cc2bd51, "");
SYMBOL_CRC(ms_sensors_tp_read_prom, 0x2dce2d49, "");
SYMBOL_CRC(ms_sensors_read_temp_and_pressure, 0x532eaa44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31f78a1, "i2c_smbus_read_word_data" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x8b1fb00d, "i2c_smbus_write_byte" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8c0cafc, "i2c_smbus_read_i2c_block_data" },
	{ 0x77c884ad, "__dynamic_dev_dbg" },
	{ 0xa9cdbde5, "i2c_transfer_buffer_flags" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6abd25e, "i2c_smbus_write_byte_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x763b09c0, "i2c_transfer" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9BCA82115929670564AA31D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
