#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x6600191c, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0x5b4ee2dc, "");
SYMBOL_CRC(bttv_sub_unregister, 0xd6369c0b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30a80399, "vb2_buffer_done" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0xf85a28a9, "vb2_plane_vaddr" },
	{ 0xf9e61848, "v4l2_ctrl_subscribe_event" },
	{ 0xfe46aae6, "snd_tea575x_s_hw_freq_seek" },
	{ 0xde80cd09, "ioremap" },
	{ 0xaa7bb758, "video_unregister_device" },
	{ 0x1ba38eb6, "snd_tea575x_set_freq" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x22aabff7, "i2c_new_client_device" },
	{ 0xc4ef8d6e, "vb2_ioctl_qbuf" },
	{ 0x84ec414e, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4f0cffea, "device_register" },
	{ 0x3ddf7050, "rc_free_device" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3687e425, "vb2_fop_read" },
	{ 0x85822952, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x650a4f74, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2358e5c7, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x11cba97e, "snd_tea575x_hw_init" },
	{ 0xe36b6aab, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb14bf192, "pci_write_config_byte" },
	{ 0xd8a9c20c, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa0c4e046, "vb2_ioctl_streamon" },
	{ 0x17af79e5, "vb2_fop_poll" },
	{ 0x6bd3e46a, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xbec2eeff, "v4l2_ctrl_handler_free" },
	{ 0x1ffcef61, "v4l2_device_unregister" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0x8d0f67b8, "vb2_wait_for_all_buffers" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x9601b214, "v4l2_subdev_call_wrappers" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0xdaf3dafa, "v4l2_i2c_new_subdev" },
	{ 0x7ffac7e0, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa26aab85, "video_device_release_empty" },
	{ 0x98465067, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7205f32c, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4dbee4c4, "v4l2_event_unsubscribe" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbab71fc7, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe4f84815, "vb2_ioctl_reqbufs" },
	{ 0x129b2630, "vb2_queue_init" },
	{ 0xd9ebf31d, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x734388b5, "vb2_dma_sg_memops" },
	{ 0x21e88925, "v4l2_ctrl_poll" },
	{ 0x38a6389, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe06cb32a, "pci_enable_device" },
	{ 0xb057acfa, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52f343ca, "v4l2_ctrl_radio_filter" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd75160cc, "i2c_bit_add_bus" },
	{ 0x4199314c, "v4l2_ctrl_add_handler" },
	{ 0xb2a9ca76, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd52a7bc6, "pci_get_device" },
	{ 0x70e5e0cd, "request_firmware" },
	{ 0xb678dfce, "vb2_ops_wait_finish" },
	{ 0xdb8778c7, "__pci_register_driver" },
	{ 0xfb3c25c3, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x1a91865b, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f08f9af, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xa9cdbde5, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf17aec59, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf10f471, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd752eb04, "v4l2_ctrl_handler_log_status" },
	{ 0xfa7ff83a, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5df461c0, "video_devdata" },
	{ 0xe1e2520e, "put_device" },
	{ 0xd6387c75, "vb2_fop_release" },
	{ 0x1257754c, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2693c38d, "v4l2_ctrl_find" },
	{ 0x843081d7, "i2c_del_adapter" },
	{ 0xee43291, "__v4l2_ctrl_s_ctrl" },
	{ 0x2049e83d, "vb2_plane_cookie" },
	{ 0xa0973bc6, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9131ad48, "rc_keyup" },
	{ 0x33a9760b, "vb2_ioctl_dqbuf" },
	{ 0x36b5ac53, "bus_unregister" },
	{ 0xa7652bdb, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf41d12fc, "tveeprom_read" },
	{ 0x819cca62, "v4l2_ctrl_new_custom" },
	{ 0x2c796e44, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x84a8c97c, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee058f6b, "rc_register_device" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xaf342dd6, "rc_keydown" },
	{ 0x4467dfcd, "snd_tea575x_enum_freq_bands" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-common,videodev,tea575x,videobuf2-v4l2,rc-core,tveeprom,videobuf2-dma-sg,i2c-algo-bit");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C881B498FCEE47CF3CCC9FA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
