#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b49b92b, "usb_submit_urb" },
	{ 0x843081d7, "i2c_del_adapter" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xa24c2173, "usb_free_coherent" },
	{ 0x84a8c97c, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7cc0485, "usb_control_msg" },
	{ 0xf9e61848, "v4l2_ctrl_subscribe_event" },
	{ 0x21da77c5, "v4l2_fh_init" },
	{ 0xaa7bb758, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x22aabff7, "i2c_new_client_device" },
	{ 0x32475dad, "usb_deregister" },
	{ 0xcf2714d, "v4l2_device_disconnect" },
	{ 0xbe44cea1, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd034392d, "v4l2_match_dv_timings" },
	{ 0x85822952, "v4l2_device_register" },
	{ 0x650a4f74, "i2c_add_adapter" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa0129152, "v4l2_ctrl_activate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0xe36b6aab, "__video_register_device" },
	{ 0x39f1b2ae, "usb_kill_urb" },
	{ 0x6bd3e46a, "v4l2_ctrl_new_std" },
	{ 0xbec2eeff, "v4l2_ctrl_handler_free" },
	{ 0x1ffcef61, "v4l2_device_unregister" },
	{ 0x66161e9a, "v4l2_ctrl_log_status" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0x365753d5, "v4l2_ctrl_cluster" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4dbee4c4, "v4l2_event_unsubscribe" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc95cc58e, "usb_alloc_urb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x21e88925, "v4l2_ctrl_poll" },
	{ 0x38a6389, "video_ioctl2" },
	{ 0xa13abefa, "usb_free_urb" },
	{ 0xd1a40295, "param_ops_uint" },
	{ 0xc53344ed, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdd653d6a, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xeaec97ab, "usb_register_driver" },
	{ 0xfb3c25c3, "v4l2_ctrl_handler_init_class" },
	{ 0x1a91865b, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfa7ff83a, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xeac02bb1, "usb_put_dev" },
	{ 0x29797dda, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5df461c0, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f5c0cbc, "usb_get_dev" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,v4l2-dv-timings");

MODULE_ALIAS("usb:v2040p4900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4982d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4903d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "23C9E7CDF1EB5BFB3A704F3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
