#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x59c8b544, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0xe3a49546, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0xfce1d70a, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0x817d1ba2, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x44d8dc8c, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0xda6b5f34, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0x2f7353da, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0xa505706e, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x08abb32a, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x9d9cc591, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev, 0x0e4921a7, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x6ec427d4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb43d9d7, "i2c_verify_client" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0x96b0a639, "debugfs_create_dir" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0xb4836347, "single_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xff44b935, "fwnode_property_present" },
	{ 0x8c977c20, "fwnode_graph_get_port_parent" },
	{ 0x64662b13, "fwnode_handle_put" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1bf18b, "fwnode_handle_get" },
	{ 0x2a37e583, "debugfs_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd678a1ac, "fwnode_graph_get_remote_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x34d48655, "v4l2_device_unregister_subdev" },
	{ 0xd0c67904, "v4l2_subdev_put_privacy_led" },
	{ 0x77c884ad, "__dynamic_dev_dbg" },
	{ 0x939991a3, "__dev_fwnode" },
	{ 0x493a07c7, "v4l2_device_register_subdev" },
	{ 0x5c6a1d97, "media_create_ancillary_link" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x514c667c, "seq_lseek" },
	{ 0x3b38613f, "seq_read" },
	{ 0xda588655, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "608758F634977229258B5A4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
