#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_local_unipro_ver, "", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x76e53a03, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x0b216e09, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x6f00aeb3, "");
SYMBOL_CRC(ufshcd_hold, 0x33407ed9, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x3ce54c37, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x12751540, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x79f5f96c, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x68afe2e0, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x30d16fbd, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x67590664, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x716f8622, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x43fdcb46, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xa5810ae7, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0xd3409cd2, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x08ffa33b, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xa9227812, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x28ba914d, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x43cde078, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x38961d2d, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x63f29028, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xdc09a95e, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x7285480f, "");
SYMBOL_CRC(ufshcd_system_resume, 0x7e092b94, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x2453621a, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x1be71da1, "");
SYMBOL_CRC(ufshcd_remove, 0x92e440e4, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x22a8cacc, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0xff447d1d, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0xdc1d9659, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0xc6109852, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xbd0652ad, "");
SYMBOL_CRC(ufshcd_init, 0x2569b135, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x9809a2d0, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x5ec322d6, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x6a79e3c7, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0xfd321124, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x2abba1c0, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x31c5098f, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x983bca49, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x74a1f53f, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x6eb87a5a, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x722f4fe2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xbe142bf5, "scsi_change_queue_depth" },
	{ 0xffe30d82, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xbd2812ac, "device_remove_file" },
	{ 0x82a9918d, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x53a01559, "scsi_dma_map" },
	{ 0x95e69831, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0xbddb4a73, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe0eb4b04, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x991fd564, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc280064b, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xa5121990, "devm_request_threaded_irq" },
	{ 0x9087d1f7, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x5de088db, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xa4f09249, "scsi_autopm_put_device" },
	{ 0x94951d4f, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd10d2e7f, "bsg_remove_queue" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0x6495ff51, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e7b7015, "dmam_alloc_attrs" },
	{ 0xe03d9c82, "trace_raw_output_prep" },
	{ 0x41d388a9, "scsi_remove_host" },
	{ 0x102140e8, "bpf_trace_run6" },
	{ 0x533c75f8, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x396b5f3f, "__trace_trigger_soft_disabled" },
	{ 0xda3071a2, "blk_pm_runtime_init" },
	{ 0xf85eb9d2, "trace_event_printf" },
	{ 0x21dc56f6, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7cd8750b, "sysfs_remove_groups" },
	{ 0x31dcbf59, "hwmon_notify_event" },
	{ 0xcf2a6966, "up" },
	{ 0xf173cfa5, "device_initialize" },
	{ 0x3c108714, "sysfs_create_groups" },
	{ 0x84df4fc4, "dev_pm_opp_add" },
	{ 0xffd994c0, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x23c9e1ec, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfb808d04, "bpf_trace_run2" },
	{ 0x2697d73, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x3a851eb7, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x77c884ad, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6f16ec86, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd3e5462f, "blk_mq_alloc_tag_set" },
	{ 0x92bf4038, "devfreq_add_device" },
	{ 0xb2e41312, "dev_driver_string" },
	{ 0x3d606dfd, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd6426898, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x83bb1fe8, "scsi_register_driver" },
	{ 0x4a22368c, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xfb0031ce, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe1e2520e, "put_device" },
	{ 0xd8f0cda1, "blk_mq_free_request" },
	{ 0xaa59ba95, "device_property_read_u32_array" },
	{ 0xd7c1703f, "devm_regulator_get" },
	{ 0x9b633409, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe77843f6, "scsi_device_put" },
	{ 0xa0973bc6, "device_create_file" },
	{ 0x9802542c, "debugfs_attr_read" },
	{ 0xf3f94fe4, "regulator_set_load" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8bdbd7e, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x91ba54c6, "devm_kfree" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x90fdc24a, "blk_queue_update_dma_alignment" },
	{ 0x16eb2a8d, "devfreq_remove_device" },
	{ 0xeeeb8e03, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0xded25f9c, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x83cffd6c, "simple_attr_release" },
	{ 0xe1d9a25b, "hwmon_device_register_with_info" },
	{ 0x6626afca, "down" },
	{ 0xe6de8770, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x543e80d3, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x617dfebf, "sdev_prefix_printk" },
	{ 0x3e97e8c3, "scsi_scan_host" },
	{ 0x2a37e583, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x29334ff7, "trace_event_reg" },
	{ 0xdabda26f, "device_link_remove" },
	{ 0xd826e2e9, "blk_mq_alloc_request" },
	{ 0x508fb07a, "driver_unregister" },
	{ 0x4b11ca62, "blk_queue_update_dma_pad" },
	{ 0xa520b1a2, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8f195fe2, "blk_put_queue" },
	{ 0x1a927f22, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf7227055, "dmam_free_coherent" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x505e37c0, "regulator_count_voltages" },
	{ 0x2603acd3, "scsi_is_host_device" },
	{ 0xcb30b983, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x807ecc9e, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3b0d9c4b, "blk_mq_init_queue" },
	{ 0xebabe691, "blk_mq_unique_tag" },
	{ 0xab368d09, "bpf_trace_run10" },
	{ 0x3d9501fd, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xea7b158f, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9ad4659, "dma_set_coherent_mask" },
	{ 0xb635c108, "scsi_print_command" },
	{ 0x3b38613f, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xb4e68409, "pm_runtime_forbid" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0x572d0955, "param_set_uint_minmax" },
	{ 0xe775cb3d, "pm_runtime_allow" },
	{ 0xbcc4b151, "trace_event_buffer_reserve" },
	{ 0x7019495, "__pm_runtime_resume" },
	{ 0x7415a92b, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0x76870e2, "blk_mq_destroy_queue" },
	{ 0xf2407a0c, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xab164993, "devm_blk_crypto_profile_init" },
	{ 0x5afe737d, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xbb9dc81d, "blk_mq_tagset_busy_iter" },
	{ 0xee8286a5, "scsi_done" },
	{ 0xda588655, "single_release" },
	{ 0xaa30774b, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x84ed5183, "regulator_disable" },
	{ 0xdfc868b0, "dev_err_probe" },
	{ 0x9d90ceaa, "dma_unmap_sg_attrs" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0xf646f1c6, "scsi_remove_device" },
	{ 0xbfce170, "scsi_block_requests" },
	{ 0xee2ee665, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb4836347, "single_open" },
	{ 0x9e73a883, "scsi_host_alloc" },
	{ 0x7ad6196c, "__scsi_add_device" },
	{ 0x471dd34d, "devfreq_resume_device" },
	{ 0x96b0a639, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fedcdf, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "312490E848C2B4A7266E0BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
