#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdns_init, "_gpl", "");
KSYMTAB_FUNC(cdns_remove, "_gpl", "");
KSYMTAB_FUNC(cdns_suspend, "_gpl", "");
KSYMTAB_FUNC(cdns_resume, "_gpl", "");
KSYMTAB_FUNC(cdns_set_active, "_gpl", "");
KSYMTAB_FUNC(cdns_clear_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_set_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_on, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_off, "_gpl", "");
KSYMTAB_FUNC(cdns_power_is_lost, "_gpl", "");

SYMBOL_CRC(cdns_init, 0xe10faafe, "_gpl");
SYMBOL_CRC(cdns_remove, 0x6d82c4dd, "_gpl");
SYMBOL_CRC(cdns_suspend, 0x4e727cf5, "_gpl");
SYMBOL_CRC(cdns_resume, 0xb0a0490c, "_gpl");
SYMBOL_CRC(cdns_set_active, 0x3a2badf9, "_gpl");
SYMBOL_CRC(cdns_clear_vbus, 0xec783873, "_gpl");
SYMBOL_CRC(cdns_set_vbus, 0x90c84192, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_on, 0xa099b876, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_off, 0x89e3038a, "_gpl");
SYMBOL_CRC(cdns_power_is_lost, 0xfa61c0ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x77c884ad, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7867fe75, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0x799181b9, "usb_get_dr_mode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd6426898, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea7adedf, "pm_runtime_enable" },
	{ 0x69ea453, "platform_device_add_resources" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xc457bc70, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6993e6c8, "phy_reset" },
	{ 0x95f91c32, "platform_device_add" },
	{ 0xebc1c253, "platform_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x5c280bc6, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf36a332, "usb_role_switch_register" },
	{ 0xb9ad4659, "dma_set_coherent_mask" },
	{ 0xb7c7c2bf, "phy_set_mode_ext" },
	{ 0x7019495, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6311999f, "devm_ioremap_resource" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x8682d467, "__pm_runtime_disable" },
	{ 0xffe30d82, "__pm_runtime_idle" },
	{ 0x5b7688a2, "platform_device_put" },
	{ 0xdff510f0, "device_property_present" },
	{ 0xa5121990, "devm_request_threaded_irq" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x37a0cba, "kfree" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "roles,usbcore");


MODULE_INFO(srcversion, "FD2DDA0C7C8B4E472D0E521");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
