#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x9ee14989, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x8cc1d2b9, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xb256da71, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x7b9fd51c, "");
SYMBOL_CRC(gss_mech_put, 0x2ef3abc5, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x9fb8fea1, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xde59aff0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfdf5097b, "rpcauth_init_credcache" },
	{ 0x76466672, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x6fa32516, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x29334ff7, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x78e3f60a, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4d144c6d, "rpc_sleep_on_timeout" },
	{ 0x925cd6ce, "rpc_create" },
	{ 0xb3f66cf8, "bpf_trace_run1" },
	{ 0x35a27059, "rpc_call_sync" },
	{ 0xf1ec3b90, "from_kuid" },
	{ 0x768f1f0a, "unregister_pernet_subsys" },
	{ 0x133cb613, "rpc_queue_upcall" },
	{ 0x90e2fe40, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7bf4879f, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1be028dd, "svcauth_unix_set_client" },
	{ 0x827b5c31, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xafa01fc4, "make_kgid" },
	{ 0x1433d0e2, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x83df514, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d0c8f4e, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x34bc010b, "bpf_trace_run3" },
	{ 0xf3edb606, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x26a2c94a, "rpc_mkpipe_dentry" },
	{ 0xcffd9d78, "rpc_mkpipe_data" },
	{ 0xbd27d707, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbcc4b151, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xf3984ca2, "cache_register_net" },
	{ 0x87f1b7cc, "init_user_ns" },
	{ 0xc2797b3, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe3bbe46e, "xdr_inline_pages" },
	{ 0xe1e6f62d, "__folio_put" },
	{ 0xdd5998d9, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xf0b7775d, "rpc_init_wait_queue" },
	{ 0xcfed0f2b, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xceb556d1, "rpc_unlink" },
	{ 0x610e4d6e, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x87922a25, "from_kuid_munged" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0x9f0314f4, "rpcauth_init_cred" },
	{ 0x10a02f77, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb51d191d, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xe0a65ce7, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2e9c3577, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x4284ce7a, "sunrpc_cache_update" },
	{ 0x3fb0f6bd, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x66ed2439, "rpc_destroy_wait_queue" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc68c594f, "auth_domain_put" },
	{ 0x3f0322b1, "rpcauth_unwrap_resp_decode" },
	{ 0x8ad4a956, "rpcauth_register" },
	{ 0xa8e4ec94, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1a2d38b0, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x85136683, "xdr_buf_from_iov" },
	{ 0xc280064b, "bpf_trace_run4" },
	{ 0x3741ec2d, "xdr_stream_decode_opaque_auth" },
	{ 0xd1a40295, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xef24c8cf, "xdr_write_pages" },
	{ 0x19825973, "rpc_shutdown_client" },
	{ 0x72511fad, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x36dec73c, "xdr_inline_decode" },
	{ 0xa5235ce6, "cache_create_net" },
	{ 0xf6a9e748, "rpcauth_destroy_credcache" },
	{ 0xe03d9c82, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x102140e8, "bpf_trace_run6" },
	{ 0xeea72eb2, "rpc_net_ns" },
	{ 0x75d0eb5a, "read_bytes_from_xdr_buf" },
	{ 0x396b5f3f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0xf85eb9d2, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x92d2d6a3, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xffd994c0, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x64dfd175, "__put_devmap_managed_page_refs" },
	{ 0x5e863806, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xfb808d04, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe9259b84, "xdr_truncate_decode" },
	{ 0xea3f3208, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x39cbc438, "__xdr_commit_encode" },
	{ 0x1060215d, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x58e35daf, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf57e46b9, "__put_cred" },
	{ 0x92066c72, "register_pernet_subsys" },
	{ 0x3d606dfd, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x523a5238, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa0bba9b4, "rpc_release_client" },
	{ 0x60de1e8f, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x34d184de, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x69f1a5bc, "svc_auth_register" },
	{ 0x95ff2a86, "xdr_stream_encode_opaque_auth" },
	{ 0x6d22c255, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xff87f2e9, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae8bc1ad, "__free_pages" },
	{ 0x6218e433, "rpc_pipe_generic_upcall" },
	{ 0xac0ba712, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xfe38a3ce, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc1600d0d, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8bdbd7e, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6b65082c, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "06489F61E5DAADEB634AA6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
