#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x8a4d7e2b, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x2ce7e540, "");
SYMBOL_CRC(ib_cm_listen, 0xe8438333, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x98f9efc3, "");
SYMBOL_CRC(ib_send_cm_req, 0x91f02b2c, "");
SYMBOL_CRC(ib_send_cm_rep, 0x8fa17aa3, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xfda802fb, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xe7afaca5, "");
SYMBOL_CRC(ib_send_cm_drep, 0x07e760bb, "");
SYMBOL_CRC(ib_send_cm_rej, 0xc1640d08, "");
SYMBOL_CRC(ib_send_cm_mra, 0xa392120b, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xfd70cfae, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x48240987, "");
SYMBOL_CRC(ib_cm_notify, 0xa0d643b0, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x41642a2e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3d606dfd, "trace_event_buffer_commit" },
	{ 0xcf1e0868, "rdma_create_ah" },
	{ 0x79dc571b, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x5eff1bbb, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xabdd3606, "ib_register_client" },
	{ 0xc6db62f8, "ib_unregister_mad_agent" },
	{ 0x6c94d01b, "ib_post_send_mad" },
	{ 0x260a7ebd, "ib_create_send_mad" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8bdbd7e, "perf_trace_run_bpf_submit" },
	{ 0x21215bdf, "rdma_destroy_ah_attr" },
	{ 0x5bf2c727, "ib_set_client_data" },
	{ 0xf9254546, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x97096a00, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x29334ff7, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb3f66cf8, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1b69981b, "rdma_destroy_ah_user" },
	{ 0x377ef9af, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x8f7be1ab, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x34bc010b, "bpf_trace_run3" },
	{ 0x9937d270, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbcc4b151, "trace_event_buffer_reserve" },
	{ 0x4b51f3f5, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x91a96a1d, "ib_free_recv_mad" },
	{ 0xa5ec03a6, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xba1b5597, "ib_modify_mad" },
	{ 0xaea03fc7, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0xf9f3abe9, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xddcf1ddb, "ib_init_ah_attr_from_path" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xe03d9c82, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x396b5f3f, "__trace_trigger_soft_disabled" },
	{ 0xf85eb9d2, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xffd994c0, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x2acd56c6, "rdma_query_gid" },
	{ 0x3f4ca9c1, "ib_port_register_client_groups" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x91ea372a, "ib_modify_port" },
	{ 0xfb808d04, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "1E5B265EBB1C41AF566C213");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
