#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x2152c7ea, "");
SYMBOL_CRC(flow_resources_alloc, 0x77836f5e, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x5b332717, "");
SYMBOL_CRC(flow_resources_add, 0xe826b15f, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x24f8ac47, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xf3302174, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xdda66d9d, "");
SYMBOL_CRC(uverbs_idr_class, 0x2a5cec7c, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xfd9ae3a8, "");
SYMBOL_CRC(uverbs_fd_class, 0xa33cf0fa, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xb6accc14, "");
SYMBOL_CRC(_uverbs_alloc, 0x27a13570, "");
SYMBOL_CRC(uverbs_get_flags64, 0x94181b5e, "");
SYMBOL_CRC(uverbs_get_flags32, 0xc16d7154, "");
SYMBOL_CRC(uverbs_copy_to, 0x6439f617, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x58db4c8a, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0xbcb9cd9f, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x640f60a4, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xa8556fb9, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x8e4170e5, "");
SYMBOL_CRC(ib_umem_get, 0x07e12545, "");
SYMBOL_CRC(ib_umem_release, 0xe97455ab, "");
SYMBOL_CRC(ib_umem_copy_from, 0xf02dd5ff, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x27a5a920, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xd6931fd0, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x6f734b72, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xf8398ff7, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x584c6cd2, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x3d39a5f4, "");
SYMBOL_CRC(ib_umem_odp_get, 0x5d185b98, "");
SYMBOL_CRC(ib_umem_odp_release, 0xa1c90fcb, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x3a8cc4dc, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0xd22d52b6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1400d64f, "dma_buf_get" },
	{ 0x1e3b8ad1, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xc6154b78, "ww_mutex_lock" },
	{ 0xbf1bf138, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc38d923a, "ib_qp_usecnt_inc" },
	{ 0x1a5bb0ec, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x68b91ff4, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xac0a34db, "ib_destroy_qp_user" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4742af92, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x38122a8c, "rdma_create_user_ah" },
	{ 0x1b69981b, "rdma_destroy_ah_user" },
	{ 0xd232e361, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x12cd410c, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x176868c2, "__mmdrop" },
	{ 0x257364d2, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64fa374d, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0xf4abbe08, "__mmap_lock_do_trace_start_locking" },
	{ 0xc6655bb5, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc7ed47d4, "igrab" },
	{ 0xd082da68, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf8fdc913, "mmput" },
	{ 0x495ab13f, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc2797b3, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x611dd982, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0x80d1c548, "__mmap_lock_do_trace_released" },
	{ 0x2ace310a, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xb07d0537, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x42796f2d, "ib_dealloc_xrcd_user" },
	{ 0xfdd6bc5b, "dma_buf_detach" },
	{ 0x1434bbad, "stream_open" },
	{ 0xe8eff2fa, "mmu_interval_notifier_insert" },
	{ 0x9bea5d48, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xd4829f78, "ib_open_qp" },
	{ 0x19f469a9, "ib_dealloc_pd_user" },
	{ 0x3f31d4cb, "rdma_get_gid_attr" },
	{ 0x9d90ceaa, "dma_unmap_sg_attrs" },
	{ 0x9b1b2dbc, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x84116b4d, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x620ea769, "rdma_query_gid_table" },
	{ 0xc3d4d75b, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x92d25041, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x24e8cc6d, "ib_attach_mcast" },
	{ 0xb5396dd8, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x11ab8c25, "ib_destroy_wq_user" },
	{ 0xa118b233, "put_pid" },
	{ 0x982a34c7, "class_register" },
	{ 0x15b49eac, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x89da72bb, "rdma_user_mmap_entry_put" },
	{ 0x51bc4b27, "pin_user_pages_fast" },
	{ 0xd94e92ca, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x22166d38, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf9f3abe9, "ib_unregister_client" },
	{ 0x76071939, "show_class_attr_string" },
	{ 0x4c3f45d6, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x175f0c78, "dev_set_name" },
	{ 0xd7979ca7, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x38cfce9a, "mmu_interval_read_begin" },
	{ 0x16055691, "ib_create_qp_user" },
	{ 0x839df69b, "dma_resv_wait_timeout" },
	{ 0x578db7a3, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x4cd86d1, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x3de90232, "kill_fasync" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0x3658ac0d, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9ebd450d, "fget" },
	{ 0xc5c1082d, "__put_task_struct" },
	{ 0x86aad292, "ib_query_srq" },
	{ 0xa7ee5d1f, "ww_mutex_unlock" },
	{ 0xf173cfa5, "device_initialize" },
	{ 0x7337a403, "__dynamic_ibdev_dbg" },
	{ 0x7ac9c016, "ib_rdmacg_try_charge" },
	{ 0x64af049c, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7ffac72d, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x1c30931, "unpin_user_page_range_dirty_lock" },
	{ 0x52861581, "iput" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xe626cb7f, "dma_buf_unpin" },
	{ 0x8116e7a2, "zap_vma_ptes" },
	{ 0xba7544e6, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd71aa5c9, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x790886c5, "rdma_dev_access_netns" },
	{ 0x3a851eb7, "get_device" },
	{ 0x39e87957, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x86cbd0ce, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x533bf727, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x31df6f65, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xf650265b, "ib_destroy_srq_user" },
	{ 0x5ecfabf9, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x8846097d, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x11cb3ac6, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6492438c, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xe1e2520e, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xd630d807, "ib_modify_qp_with_udata" },
	{ 0xa32316a8, "ib_register_event_handler" },
	{ 0x94c0799d, "ib_detach_mcast" },
	{ 0x36d77530, "dma_buf_map_attachment" },
	{ 0xae8bc1ad, "__free_pages" },
	{ 0x33e59141, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xac0ba712, "module_put" },
	{ 0xabdd3606, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9618b695, "compat_ptr_ioctl" },
	{ 0xe09be0b, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x5b1887df, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x9d447250, "fput" },
	{ 0x5bf2c727, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xd173a232, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x97096a00, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "4AB20776536C70C16E190B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
