#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0x695c4724, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0x42cdd046, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0xc69602dd, "");
SYMBOL_CRC(cx18_claim_stream, 0x6a5e22ba, "");
SYMBOL_CRC(cx18_release_stream, 0x97b0bb01, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd752eb04, "v4l2_ctrl_handler_log_status" },
	{ 0xfa7ff83a, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5df461c0, "video_devdata" },
	{ 0x1257754c, "i2c_new_scanned_device" },
	{ 0x67eefe55, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x843081d7, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xee43291, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x33a9760b, "vb2_ioctl_dqbuf" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xa7652bdb, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xf41d12fc, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6a9fd92e, "vb2_ioctl_prepare_buf" },
	{ 0x15180d39, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe326ddf9, "pci_read_config_word" },
	{ 0x30a80399, "vb2_buffer_done" },
	{ 0xf85a28a9, "vb2_plane_vaddr" },
	{ 0xf9e61848, "v4l2_ctrl_subscribe_event" },
	{ 0x21da77c5, "v4l2_fh_init" },
	{ 0x6bdb22c1, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2f043e98, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xaa7bb758, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x35b486f, "dvb_dmxdev_release" },
	{ 0xc4ef8d6e, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x84ec414e, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe00745a6, "param_ops_short" },
	{ 0xc2a57eb6, "vb2_vmalloc_memops" },
	{ 0xef8a75f1, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3687e425, "vb2_fop_read" },
	{ 0x85822952, "v4l2_device_register" },
	{ 0x78ff2b1f, "dvb_frontend_detach" },
	{ 0x13cc70f4, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x59c3198f, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe36b6aab, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1bdcb321, "dvb_unregister_frontend" },
	{ 0xb14bf192, "pci_write_config_byte" },
	{ 0xd8a9c20c, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa0c4e046, "vb2_ioctl_streamon" },
	{ 0x17af79e5, "vb2_fop_poll" },
	{ 0x6bd3e46a, "v4l2_ctrl_new_std" },
	{ 0x903e7deb, "v4l2_ctrl_g_ctrl" },
	{ 0xe057027b, "cx2341x_handler_init" },
	{ 0x54f7819c, "cx2341x_handler_set_50hz" },
	{ 0xbec2eeff, "v4l2_ctrl_handler_free" },
	{ 0x1ffcef61, "v4l2_device_unregister" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0xecaca7d5, "dvb_register_frontend" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9601b214, "v4l2_subdev_call_wrappers" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0xdaf3dafa, "v4l2_i2c_new_subdev" },
	{ 0x7ffac7e0, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x2d150dfd, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x549fb7c3, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa26aab85, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4dbee4c4, "v4l2_event_unsubscribe" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe4f84815, "vb2_ioctl_reqbufs" },
	{ 0x129b2630, "vb2_queue_init" },
	{ 0x3442de6c, "v4l2_fh_exit" },
	{ 0xfcae55f5, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xff2d62c0, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38a6389, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8736caec, "vb2_queue_release" },
	{ 0xe06cb32a, "pci_enable_device" },
	{ 0xb057acfa, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xd75160cc, "i2c_bit_add_bus" },
	{ 0xa641a04f, "v4l2_fh_del" },
	{ 0xdd653d6a, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0xb678dfce, "vb2_ops_wait_finish" },
	{ 0x70e5e0cd, "request_firmware" },
	{ 0xdb8778c7, "__pci_register_driver" },
	{ 0xfb3c25c3, "v4l2_ctrl_handler_init_class" },
	{ 0x4a7c8733, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x1a91865b, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x2f08f9af, "vb2_ioctl_querybuf" },
	{ 0x755898e6, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xabcc3e06, "vb2_video_unregister_device" },
	{ 0xf10f471, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc403f933, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb2e41312, "dev_driver_string" },
	{ 0x493a07c7, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1906D847907F76FE0C3184D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
