#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(felix_switch_ops, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_switch_ops, 0x6d41798d, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x1e31ddb5, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x255733a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee09d58a, "ocelot_sb_tc_pool_bind_set" },
	{ 0x50da2ae4, "dsa_fdb_present_in_other_db" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3b8fddae, "dsa_mdb_present_in_other_db" },
	{ 0xb471cde8, "ocelot_vcap_filter_add" },
	{ 0x457227f0, "ocelot_sb_port_pool_get" },
	{ 0x5bc0ab1, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x8735f402, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0xae255c7d, "ocelot_port_inject_frame" },
	{ 0x2316b121, "ocelot_mrp_add" },
	{ 0x6ee3ddcc, "ocelot_sb_occ_port_pool_get" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0x859a695d, "ocelot_sb_pool_set" },
	{ 0xe2dedca3, "ocelot_lag_fdb_del" },
	{ 0x94f98228, "ocelot_vcap_filter_del" },
	{ 0x456803f1, "ocelot_cls_flower_stats" },
	{ 0x33027ebf, "ocelot_sb_pool_get" },
	{ 0x7e3dee5d, "ocelot_phylink_mac_link_up" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x77c973fa, "ocelot_deinit_port" },
	{ 0x403d3ed, "ocelot_can_inject" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0xf1b5d68b, "ocelot_port_mirror_add" },
	{ 0x1139b803, "ocelot_fdb_dump" },
	{ 0xbda0364a, "ocelot_vlan_prepare" },
	{ 0x471a3ded, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x408bf9e2, "ocelot_set_ageing_time" },
	{ 0x294fe236, "__ocelot_rmw_ix" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0xd03d15c9, "ocelot_hwstamp_set" },
	{ 0x2ad84364, "ocelot_port_policer_del" },
	{ 0x752e892d, "ocelot_port_lag_change" },
	{ 0x580bb59d, "consume_skb" },
	{ 0xc310990e, "ocelot_port_policer_add" },
	{ 0xe09cabda, "ocelot_port_mdb_add" },
	{ 0xbe90d774, "ocelot_vlan_add" },
	{ 0x1dbfe034, "ocelot_sb_tc_pool_bind_get" },
	{ 0xfe4bacab, "ocelot_port_bridge_flags" },
	{ 0x83ce784e, "ocelot_devlink_sb_unregister" },
	{ 0xc789bd3, "ocelot_port_bridge_leave" },
	{ 0xb4889197, "ocelot_port_set_maxlen" },
	{ 0xa39f1aca, "ocelot_vcap_filter_replace" },
	{ 0x2508ad96, "ocelot_get_max_mtu" },
	{ 0xddf1fc65, "regmap_fields_update_bits_base" },
	{ 0xdecfeb5f, "ocelot_sb_occ_snapshot" },
	{ 0x5199ac7f, "ocelot_get_ts_info" },
	{ 0x38aadf28, "ocelot_sb_occ_max_clear" },
	{ 0x77cbcc3b, "ocelot_port_get_mm" },
	{ 0x71539237, "ocelot_ptp_gettime64" },
	{ 0x59922b6e, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd5d1867, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xd96c69b0, "ocelot_port_add_dscp_prio" },
	{ 0xd610c568, "ocelot_drain_cpu_queue" },
	{ 0xa1a9eae3, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfc343662, "__ocelot_read_ix" },
	{ 0xec715f18, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xde2ac6ba, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd0be23c, "ocelot_get_sset_count" },
	{ 0x9c2ab67c, "ocelot_migrate_mdbs" },
	{ 0xf465e79c, "ocelot_hwstamp_get" },
	{ 0x2c581974, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe0075df6, "ocelot_port_bridge_join" },
	{ 0xf5fe2fb8, "ocelot_fdb_add" },
	{ 0x80221652, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x999aabca, "ocelot_xtr_poll_frame" },
	{ 0x591e5d8c, "ocelot_port_get_default_prio" },
	{ 0x267c0097, "ptp_classify_raw" },
	{ 0x26fcf3d6, "ocelot_port_set_default_prio" },
	{ 0x8a672fd, "dsa_tag_8021q_register" },
	{ 0x924cb7f8, "ocelot_port_get_mm_stats" },
	{ 0x8d0a2579, "ocelot_deinit" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x18faf507, "ocelot_vlan_del" },
	{ 0xc22dd75e, "ocelot_bond_get_id" },
	{ 0x2d996eef, "kfree_skb_reason" },
	{ 0x80335864, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5b719a7f, "ocelot_cls_flower_destroy" },
	{ 0x351f1e7d, "ocelot_port_vlan_filtering" },
	{ 0x11a0b110, "ocelot_port_get_rmon_stats" },
	{ 0xf1369ab6, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xb882ded7, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5a6959bb, "ocelot_bridge_stp_state_set" },
	{ 0x4bcd5dc6, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58f5aaf1, "netif_rx" },
	{ 0x83f4a36f, "ocelot_port_get_eth_ctrl_stats" },
	{ 0xdfb00f86, "ocelot_fdb_del" },
	{ 0x8d825ac5, "ocelot_phylink_mac_link_down" },
	{ 0xa49e3cbd, "ocelot_port_lag_join" },
	{  0xee423, "ocelot_port_get_eth_phy_stats" },
	{ 0x3da6a825, "ocelot_port_lag_leave" },
	{ 0xb66664bc, "ocelot_mrp_add_ring_role" },
	{ 0x8ee1277c, "ocelot_port_set_mm" },
	{ 0xb8510f3b, "ocelot_deinit_timestamp" },
	{ 0x25ae5568, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x543591d, "ocelot_port_get_stats64" },
	{ 0x54896e27, "ocelot_port_get_dscp_prio" },
	{ 0x438d2dff, "ocelot_port_mdb_del" },
	{ 0x24ed57e, "ocelot_port_get_eth_mac_stats" },
	{ 0xc641c4b3, "ocelot_mact_flush" },
	{ 0xa910996d, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4eb74761, "ocelot_port_pre_bridge_flags" },
	{ 0x4a476b51, "ocelot_port_del_dscp_prio" },
	{ 0x915db304, "ocelot_mrp_del_ring_role" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "C349B52B356D05900F63141");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
