#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0xe02c627d, "");
SYMBOL_CRC(t3_l2t_send_event, 0x9c811ace, "");
SYMBOL_CRC(t3_l2e_free, 0xc0007ca0, "");
SYMBOL_CRC(t3_l2t_get, 0xcb24840b, "");
SYMBOL_CRC(cxgb3_register_client, 0x559a0fe8, "");
SYMBOL_CRC(cxgb3_unregister_client, 0xafb85930, "");
SYMBOL_CRC(cxgb3_free_atid, 0x224f160c, "");
SYMBOL_CRC(cxgb3_free_stid, 0x1de22881, "");
SYMBOL_CRC(cxgb3_insert_tid, 0xdace21cf, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x90698293, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x9bbb44c3, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0xe9817c57, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0xb0de4531, "");
SYMBOL_CRC(dev2t3cdev, 0xdb1e2b5f, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x06af242c, "");
SYMBOL_CRC(cxgb3_ofld_send, 0x5a65d6fb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ad69384, "_dev_warn" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x58f5aaf1, "netif_rx" },
	{ 0xc4cf9617, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9ad4659, "dma_set_coherent_mask" },
	{ 0x82e47b29, "pv_ops" },
	{ 0x54aba114, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x415dcd5b, "neigh_destroy" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7e536f6, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc2797b3, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7b6519af, "netdev_master_upper_dev_get_rcu" },
	{ 0xe1e6f62d, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x43e1382f, "netif_carrier_off" },
	{ 0x95564586, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdecd1de1, "netif_carrier_on" },
	{ 0x85279ae6, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x554bb3a3, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0xdd45644b, "napi_schedule_prep" },
	{ 0x611d9f99, "napi_disable" },
	{ 0xe6fb4d0, "dev_kfree_skb_any_reason" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7ff96636, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0x3470188c, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x49d756f6, "alloc_etherdev_mqs" },
	{ 0x91d8ca21, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4b5a9422, "pcie_capability_read_word" },
	{ 0x4d41a07e, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x951e344e, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5008e407, "skb_copy_bits" },
	{ 0x9c2f38be, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe06cb32a, "pci_enable_device" },
	{ 0x448e606f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0x25542344, "netdev_update_features" },
	{ 0x580bb59d, "consume_skb" },
	{ 0xb472934, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xbe948d19, "unregister_netdev" },
	{ 0xf6e6998, "napi_get_frags" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0x70e5e0cd, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xdb8778c7, "__pci_register_driver" },
	{ 0x4a7c8733, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x2dd0b639, "pci_disable_msi" },
	{ 0x652bc8c4, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x64dfd175, "__put_devmap_managed_page_refs" },
	{ 0x1874789f, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x77c884ad, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf10f471, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xb2e41312, "dev_driver_string" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0xf39a8c90, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0x822caf66, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x6cdb724d, "__napi_schedule" },
	{ 0x9520863, "pci_enable_msix_range" },
	{ 0xca7a3086, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0x5fa87e7d, "__alloc_skb" },
	{ 0xae8bc1ad, "__free_pages" },
	{ 0x9b633409, "_dev_info" },
	{ 0xaaf56b90, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4e376b3d, "pci_find_capability" },
	{ 0x7dfb1fe5, "_dev_alert" },
	{ 0xb9d24b94, "pci_enable_msi" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x76ab7598, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa61571a3, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x173e4bb0, "netif_set_real_num_rx_queues" },
	{ 0x1adc4717, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2d996eef, "kfree_skb_reason" },
	{ 0x2e0e8734, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xe326ddf9, "pci_read_config_word" },
	{ 0x38c7f94b, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3463f109, "netif_receive_skb" },
	{ 0xf1d0076e, "register_netdev" },
	{ 0x3f2767a1, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x97816bf6, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xd31a79fb, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaf62affc, "netif_tx_stop_all_queues" },
	{ 0xae23ab8e, "pci_restore_state" },
	{ 0x6be86da6, "netif_tx_wake_queue" },
	{ 0xef8a75f1, "dma_sync_single_for_cpu" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1F807ECE6BFA35D3988931B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
