#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qede_rdma_register_driver, "", "");
KSYMTAB_FUNC(qede_rdma_unregister_driver, "", "");

SYMBOL_CRC(qede_rdma_register_driver, 0xbda53a49, "");
SYMBOL_CRC(qede_rdma_unregister_driver, 0xeee48911, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x66d74da5, "rps_may_expire_flow" },
	{ 0x67d85964, "netdev_reset_tc" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcb1dc262, "bpf_prog_add" },
	{ 0xc2797b3, "alloc_pages" },
	{ 0xd1b3ae06, "xdp_rxq_info_unreg" },
	{ 0x63fba031, "__xdp_rxq_info_reg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x43e1382f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x47050066, "devlink_priv" },
	{ 0x5ce0f155, "tcp_gro_complete" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdecd1de1, "netif_carrier_on" },
	{ 0x99948180, "netdev_set_num_tc" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0xa608d93b, "xdp_master_redirect" },
	{ 0x26efcd19, "__napi_schedule_irqoff" },
	{ 0xdd45644b, "napi_schedule_prep" },
	{ 0x611d9f99, "napi_disable" },
	{ 0xe6fb4d0, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x4e2966bf, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xde2bab64, "__tracepoint_xdp_exception" },
	{ 0x49d756f6, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4f148499, "qed_get_eth_ops" },
	{ 0x6096d789, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5008e407, "skb_copy_bits" },
	{ 0xd1a40295, "param_ops_uint" },
	{ 0xfb03137d, "ethtool_rx_flow_rule_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x448e606f, "skb_put" },
	{ 0x1763aed5, "skb_tstamp_tx" },
	{ 0x580bb59d, "consume_skb" },
	{ 0xb472934, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc6536d9e, "bpf_warn_invalid_xdp_action" },
	{ 0xbe948d19, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xdb8778c7, "__pci_register_driver" },
	{ 0x4a7c8733, "dma_sync_single_for_device" },
	{ 0x98234e27, "pci_num_vf" },
	{ 0xd217fa2f, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfda7f956, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x490c5f5d, "xdp_do_redirect" },
	{ 0x1874789f, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3a04df03, "udp_tunnel_nic_ops" },
	{ 0x7440ada7, "flow_rule_match_ipv4_addrs" },
	{ 0x54e79f3e, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xf10f471, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xf5745bcc, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb2e41312, "dev_driver_string" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0x7705939d, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf39a8c90, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0x822caf66, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xbbf8f605, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae8bc1ad, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9b633409, "_dev_info" },
	{ 0xaaf56b90, "napi_gro_receive" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xecf89528, "netdev_pick_tx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdcaf3dcf, "xdp_rxq_info_is_reg" },
	{ 0x74b9beba, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7dd43e9b, "flow_rule_match_basic" },
	{ 0x99baa923, "build_skb" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x79cefef5, "softnet_data" },
	{ 0xac0dbf42, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x974ebe5c, "ptp_clock_register" },
	{ 0xa61571a3, "netif_set_real_num_tx_queues" },
	{ 0x173e4bb0, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xed04b98, "ethtool_rx_flow_rule_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0x38c7f94b, "napi_enable" },
	{ 0x9eeeef48, "qed_put_eth_ops" },
	{ 0xf1d0076e, "register_netdev" },
	{ 0x3f2767a1, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x39d3c710, "__SCK__tp_func_xdp_exception" },
	{ 0x6be86da6, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0xb664de04, "flow_rule_match_ports" },
	{ 0xf10d4f3d, "netif_schedule_queue" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2077655c, "flow_rule_match_ipv6_addrs" },
	{ 0x3f0613db, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb116ab6e, "ptp_clock_unregister" },
	{ 0xee5f93f2, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x24fffafb, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "qed");

MODULE_ALIAS("pci:v00001077d00001634sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001666sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001644sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001654sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001656sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008070sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008090sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EEBD474125F6748F7D7A304");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
