#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x5638381f, "");
SYMBOL_CRC(ndlc_close, 0x2f11703d, "");
SYMBOL_CRC(ndlc_send, 0x14b7b5eb, "");
SYMBOL_CRC(ndlc_recv, 0xe6360284, "");
SYMBOL_CRC(ndlc_probe, 0xc1159c53, "");
SYMBOL_CRC(ndlc_remove, 0x0549d9b2, "");
SYMBOL_CRC(st_nci_probe, 0x38fc3e95, "_gpl");
SYMBOL_CRC(st_nci_remove, 0xb0d5da34, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x07a9518b, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x4945eb6f, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0xfc83e8b5, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x30fa8799, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xa2fd4c6c, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x44a523eb, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x803b90b5, "");
SYMBOL_CRC(st_nci_se_init, 0x4273b67b, "");
SYMBOL_CRC(st_nci_se_deinit, 0xca2e662c, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x0d223e32, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0x313d46d2, "nfc_se_transaction" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x76ab7598, "skb_pull" },
	{ 0x88583a37, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2d996eef, "kfree_skb_reason" },
	{ 0x6302af6c, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x88c0d2f0, "nci_prop_cmd" },
	{ 0xe0191f65, "nci_core_conn_create" },
	{ 0xf11da0d9, "nci_nfcc_loopback" },
	{ 0xc4ac3887, "nci_unregister_device" },
	{ 0x39a90c64, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ea5de22, "nci_hci_send_event" },
	{ 0x26f7da98, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x209e64b, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4f668aa1, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x48fae2f, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x44937b39, "nci_recv_frame" },
	{ 0x1452eb6, "nci_hci_dev_session_init" },
	{ 0xc1eb51dc, "kmalloc_trace" },
	{ 0xe79bd153, "nci_hci_set_param" },
	{ 0x2660ded2, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc6a3e3bc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd0d62f29, "skb_queue_head" },
	{ 0x15abceee, "nci_free_device" },
	{ 0x3ab01787, "nci_allocate_device" },
	{ 0x8eb22e90, "nci_register_device" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0xa536be76, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc2166647, "nfc_add_se" },
	{ 0x79bd4314, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xceff5f23, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe3262bd7, "skb_queue_purge_reason" },
	{ 0x7bc9aec9, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8825ae24, "nci_hci_get_param" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9786c728, "skb_queue_tail" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "792C94CF5E39EBB0DCF6263");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
