#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0x90c41872, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0xf5724582, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0x179476de, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0xef73553b, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x2a9a2d71, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0x229452d3, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0x9717effc, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0xad936a8c, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0x152f333f, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0xa356e227, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x6dae4541, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0x15ee1d68, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0x08050b83, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x62c95764, "_gpl");
SYMBOL_CRC(gether_suspend, 0x77e5ed27, "_gpl");
SYMBOL_CRC(gether_resume, 0x8871917c, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0x428793e3, "_gpl");
SYMBOL_CRC(gether_disconnect, 0xed7887d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2c53cadb, "usb_ep_disable" },
	{ 0x784d9a58, "usb_ep_enable" },
	{ 0x77c884ad, "__dynamic_dev_dbg" },
	{ 0xf97cb35b, "dev_addr_mod" },
	{ 0xf1d0076e, "register_netdev" },
	{ 0x9b633409, "_dev_info" },
	{ 0x43e1382f, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x349cba85, "strchr" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9166fada, "strncpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ea59b5d, "usb_ep_alloc_request" },
	{ 0x2af38e5f, "usb_ep_free_request" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbe948d19, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3f2767a1, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x35c4cff1, "_dev_err" },
	{ 0x24fffafb, "__netdev_alloc_skb" },
	{ 0xac5667d9, "usb_ep_queue" },
	{ 0xe6fb4d0, "dev_kfree_skb_any_reason" },
	{ 0x6be86da6, "netif_tx_wake_queue" },
	{ 0xdecd1de1, "netif_carrier_on" },
	{ 0x448e606f, "skb_put" },
	{ 0x79bd4314, "skb_dequeue" },
	{ 0x9786c728, "skb_queue_tail" },
	{ 0xf39a8c90, "eth_type_trans" },
	{ 0x58f5aaf1, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2cf98fd, "usb_func_wakeup" },
	{ 0x1b9a20a7, "usb_gadget_wakeup" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x49d756f6, "alloc_etherdev_mqs" },
	{ 0x7ad69384, "_dev_warn" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3c9c244, "eth_mac_addr" },
	{ 0x1874789f, "eth_validate_addr" },
	{ 0xd31a79fb, "ethtool_op_get_link" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "E9D76C487046E57E1FBC190");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
